-- tkz_elements-main.lua
-- date 2023/11/10
-- version 1.20b
-- Copyright 2023  Alain Matthes
-- This work may be distributed and/or modified under the
-- conditions of the LaTeX Project Public License, either version 1.3
-- of this license or (at your option) any later version.
-- The latest version of this license is in
--   http://www.latex-project.org/lppl.txt
-- and version 1.3 or later is part of all distributions of LaTeX
-- version 2005/12/01 or later.
-- This work has the LPPL maintenance status “maintained”.
-- The Current Maintainer of this work is Alain Matthes.

 z = {}
 L = {}
 C = {}
 T = {}
 V = {}
 E = {}
 Q = {}
 scale = 1

require "tkz_elements_point.lua"

require "tkz_elements_points.lua"
require "tkz_elements_lines.lua"
require "tkz_elements_circles.lua"
require "tkz_elements_triangles.lua"
require "tkz_elements_vectors.lua"
require "tkz_elements_ellipses.lua"

require "tkz_elements_functions_maths.lua"
require "tkz_elements_functions_intersections.lua"
require "tkz_elements_functions_points.lua"
require "tkz_elements_functions_lines.lua"
require "tkz_elements_functions_circles.lua"
require "tkz_elements_functions_triangles.lua"

function get_points (obj)
if obj.type == 'line' then return   obj.pa,obj.pb
 elseif
  obj.type  == 'triangle' then return   obj.pa,obj.pb,obj.pc
  elseif 
  obj.type == 'circle' then   return obj.center,obj.through
  elseif 
  obj.type == 'ellipse' then   return obj.pc,obj.pa,obj.pb
end
end